# SourcePath: mtd-utils/20170627
Summary: Utilities for dealing with MTD (flash) devices
Name: sony-target-dev-mtd-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-mtd-utils
Version: 2.0.0
Release: 14020101
Source: mtd-utils-%{version}.tar.bz2
Patch1: add-exclusion-to-mkfs-jffs2-git-2.patch
Patch2: fix-armv7-neon-alignment.patch 
Patch3: mtd-utils-fix-corrupt-cleanmarker-with-flash_erase--j-command.patch
Patch4: 0001-Fix-build-with-musl.patch 
Patch5: 010-fix-rpmatch.patch 
Url: http://www.linux-mtd.infradead.org/
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-zlib

%define _sbindir         %{sony_target_dir}%{sony_target_dev_sbin_dir}

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%package -n %{pkgname}
Summary: Utilities for dealing with MTD (flash) devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%prep
%setup -n mtd-utils-%{version} -q
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1

%build
%sony_target_dev_setup
%sony_target_dev_configure
make CROSS="%{sony_target_toolprefix}" CC="${CC}" CFLAGS="-g -O2 -I./include"


%install
%sony_target_dev_setup

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_man_dir}/man1

cd objdir/
make CROSS="%{sony_target_toolprefix}" CC="${CC}" CFLAGS="-g -O2 -I./include" \
DESTDIR=$RPM_BUILD_ROOT%{sony_target_dir} SBINDIR=%{_sbindir} install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{_sbindir}/*


%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Tue Jun 27 2017 Sony Corporation
- Version Update to 2.0.0

* Fri Mar 29 2013 Sony Corporation
- Version Update to 1.5.0

* Wed Jul 13 2011 Sony Corporation
- Version Update 1.0.0 -> 1.4.5

* Mon Apr 20 2009 Sony Corporation
- Updated to 6.x

* Fri May 18 2007 Sony Corporation
- Initial build.
